pythonpay
2022-07-06 22:58
采纳率: 0%
浏览 157

启动ipython内核时候发生spyder‑kernels=2.1错误,如何解决?

我的ANACONDA里面启动spyder,提示启动ipython内核时候发生错误,错误代码如下:
Your Python environment or installation doesn't have the spyder‑kernels module or the right version of it installed (>= 2.1.0 and < 2.2.0). Without this module is not possible for Spyder to create a console for you.

You can install it by running in a system terminal:

conda install spyder‑kernels=2.1

or

pip install spyder‑kernels==2.1.*

然后我找了各种方式安装spyder‑kernels=2.1以后,提示如下:

C:\Users\88773>pip install -i https://pypi.tuna.tsinghua.edu.cn/simple spyder-kernels
Looking in indexes: https://pypi.tuna.tsinghua.edu.cn/simple
Requirement already satisfied: spyder-kernels in c:\users\88773\anaconda3\lib\site-packages (2.1.3)
Requirement already satisfied: cloudpickle in c:\users\88773\anaconda3\lib\site-packages (from spyder-kernels) (2.0.0)
Requirement already satisfied: ipykernel>=5.3.0 in c:\users\88773\anaconda3\lib\site-packages (from spyder-kernels) (6.9.1)
Requirement already satisfied: ipython>=7.6.0 in c:\users\88773\anaconda3\lib\site-packages (from spyder-kernels) (8.2.0)
Requirement already satisfied: pyzmq>=17 in c:\users\88773\anaconda3\lib\site-packages (from spyder-kernels) (22.3.0)
**(以上我只黏贴了部分内容,参考第一行显示)

没法解决,还是报错**

** 然后我百度去增加了path环境设置,path里添加了如下:**
C:\Users\88773\anaconda3\Scripts
C:\Users\88773\anaconda3
C:\Users\88773\AppData\Local\Programs\Python\Python39\Scripts
C:\Users\88773\AppData\Local\Programs\Python\Python39
C:\Users\88773\anaconda3\condabin
C:\Users\88773\anaconda3\Scripts\Library\bin
依然报同样的错

** 困扰了两天了,找不到解决办法**

8条回答 默认 最新

相关推荐 更多相似问题